summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-device-semiweekly.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2019-01-02 10:34:04 +0000
committerPeter Mikus <pmikus@cisco.com>2019-01-03 13:50:13 +0000
commit0f4fb0ad938241f7de4980fbc34b6c40619d3738 (patch)
tree5da14d4cd1265aa38f84a68c48ccaa0ba5a395eb /jjb/csit/include-raw-csit-device-semiweekly.sh
parent484de218c01d2eee8e34a58df0bebe993cec27de (diff)
CSIT-1382 Create weekly/semiweekly job for vpp-device
Change-Id: I29fc18191c264e8a6f52308643d24516e6e33e19 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'jjb/csit/include-raw-csit-device-semiweekly.sh')
-rw-r--r--jjb/csit/include-raw-csit-device-semiweekly.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-device-semiweekly.sh b/jjb/csit/include-raw-csit-device-semiweekly.sh
new file mode 100644
index 000000000..0871af69a
--- /dev/null
+++ b/jjb/csit/include-raw-csit-device-semiweekly.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2018 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+cd "${WORKSPACE}"
+git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+pushd "${WORKSPACE}/csit"
+if [[ -n "${CSIT_REF-}" ]]; then
+ git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
+ git checkout FETCH_HEAD
+else
+ git checkout HEAD
+fi
+popd
+csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
+source "${csit_entry_dir}/with_oper_for_vpp.sh" "bootstrap_vpp_device.sh"